;
; make skewness from 2D macro_base_fld monthly time serie (defined in macro_read)
;
FUNCTION make_skewness, file_name, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ALL_DATA = all_data,  ZMTYP = zmtyp

@common
@com_eg
;
;
; Read time serie
;
   IF debug_w THEN print, 'keyword_set(ALL_DATA) : ', keyword_set(ALL_DATA) 
   mfld = nc_read(file_name, macro_base_fld, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ALL_DATA = all_data)

   mfld.data = trends(mfld.data, '412', 'xyt')

   skw =  skewness_4d(mfld.data)

   field = {name: '', data: skw, legend: '', units: '', origin: '', dim: 0, direc:''}
   
   field.origin = mfld.origin
   
   field.dim = 2

   field.legend = ' ['+cmdm.date1+' - '+cmdm.spec+']'

   field.direc = 'xy'
   
   return, field
END 
